/*
ESUP-portail is a french academic project developed under the GPL (General Public License) augmented according to the following :
A binary or source file developped by ESUP-portail can be used or compiled with products under Apache license.
The official english text of the GPL can be found here : http://www.gnu.org/licenses/gpl.html .
A non official french translation can be found here : http://www.linux-France.org/article/these/gpl.html .
The different kinds of licenses governing the products developed by the Apache foundation can be found here : http://www.apache.org/licenses .
It follows that you can as well as use download contents as well modify and redistribute them provided you respect the GPL terms.
Downloading and using such contents do not provide any guaranty.
Be sure that you have well understood the terms of the license before using the contents it covers.
The ESUP-portail distribution includes the following distributions :
    * UPortal :
      software developed by JA-SIG (Java Architecture - Special Interest Group)
      You can find the license page here : http://mis105.udel.edu/ja-sig/uportal/license.html
    * CAS :
      SSO solution developed by Yale University
      You can find the project page here : http://www.yale.edu/tp/auth
    * Cocoon :
      XML framework distributed by the Apache foundation under Apache license;
      Please find the full text here : http://cocoon.apache.org/2.1/license.html
    * Mod_dav:
      A DAV module for Apache web server
      You can find the project page here : http://www.webdav.org/mod_dav
    * IMP :
      webmail from Horde application framework
      You can find the project page here : http://www.horde.org
    * . To be completed
*/

package org.esupportail.portal.channels.CPref.formats.supann;   

import org.esupportail.portal.channels.CPref.formats.Format;

public class TelephoneNumber extends Format { 
	

	public boolean check(String value) {
	    if (value == null || value.equals("")){
		return(true);
	    }
		if (   (value.matches("^\\+\\d\\d \\d( \\d\\d){4}$"))
			|| (value.matches("^\\+\\d{11}$"))
			|| (value.matches("^(\\d\\d[\\./ \\-,]){4}\\d\\d$"))
			|| (value.matches("^\\d{10}$"))
			){
			return true;
		}
		return false;
	}

	public String transform(String before) {
	    if (before == null || before.equals("")){
		    return("");
		}

		if (before.matches("^+\\d\\d \\d( \\d\\d){4}$")){
			return before;
		}
		
		if (before.matches("^+\\d{11}$")){
			StringBuffer newValue = new StringBuffer("");
			newValue.append(before.charAt(0));
			newValue.append(before.charAt(1));
			newValue.append(before.charAt(2));
			newValue.append(" ");
			newValue.append(before.charAt(3));
			newValue.append(" ");
			newValue.append(before.charAt(4));
			newValue.append(before.charAt(5));
			newValue.append(" ");
			newValue.append(before.charAt(6));
			newValue.append(before.charAt(7));
			newValue.append(" ");
			newValue.append(before.charAt(8));
			newValue.append(before.charAt(9));
			newValue.append(" ");
			newValue.append(before.charAt(10));
			newValue.append(before.charAt(12));
			return newValue.toString();
		}
		
		if (before.matches("^(\\d\\d[\\./ \\-,]){4}\\d\\d$")){
			StringBuffer newValue = new StringBuffer("+33");
			newValue.append(" ");
			newValue.append(before.charAt(1));
			newValue.append(" ");
			newValue.append(before.charAt(3));
			newValue.append(before.charAt(4));
			newValue.append(" ");
			newValue.append(before.charAt(6));
			newValue.append(before.charAt(7));
			newValue.append(" ");
			newValue.append(before.charAt(9));
			newValue.append(before.charAt(10));
			newValue.append(" ");
			newValue.append(before.charAt(12));
			newValue.append(before.charAt(13));
			return newValue.toString();
		}

		if (before.matches("^\\d{10}$")){
			StringBuffer newValue = new StringBuffer("+33");
			newValue.append(" ");
			newValue.append(before.charAt(1));
			newValue.append(" ");
			newValue.append(before.charAt(2));
			newValue.append(before.charAt(3));
			newValue.append(" ");
			newValue.append(before.charAt(4));
			newValue.append(before.charAt(5));
			newValue.append(" ");
			newValue.append(before.charAt(6));
			newValue.append(before.charAt(7));
			newValue.append(" ");
			newValue.append(before.charAt(8));
			newValue.append(before.charAt(9));
			return newValue.toString();
		}
		return before;
	}

	public String display(String before) {
	    if (before == null || before.equals("")){
		    return("");
		}
		return before;
	}

	public String[] exemple() {
		String[] ex = new String[3];
		ex[0]="+33 X XX XX XX XX";
		ex[1]="XX.XX.XX.XX.XX";
		ex[2]="XXXXXXXXXX";
		return ex;
	}
}
